<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>

<body>
    <container class="container">

    </container>
    
    <script>
        /*DOM - это объектная модель документов, которая визуализирует все эелементы (содержимое) страницы в виде объектов, которые можно изменять */
        let mainContainer = document.getElementsByClassName(".container")
        console.log(mainContainer);

        let ulPerent = document.body.firstElementChild;
        console.log(ulPerent);
        let arrayList = document.createElement('ul');
        arrayList.className = "array-list";
        ulPerent.appendChild(arrayList);
        let liPerent = ulPerent.firstElementChild;
        console.log(liPerent);
        



        const arr = ['hello', 'world', 'Kiev', 'Kharkiv', 'Odessa', 'Lviv'];
        //const arr = ['1', '2', '3', 'sea', 'user', 23];
        console.log(arr);
        let arrList = arr.map(function(currentValue, index) {
            let LiElement = document.createElement('li');
            LiElement.className = `${currentValue}-element;`
            LiElement.innerHTML = `<p>${currentValue}</p>`
            liPerent.appendChild(LiElement);

            return LiElement ;
        });
        console.log(arrList);

       
    </script>
</body></html>